/* 
        Program Name : Heap
        Package Name : TMemory
        Purpose      : Allocation objects
        Institution  : Conroy & Conroy Co.
        Date Written : 4-Jan-1995
        Written By   : Alan Conroy
        Version      : 1.0

	Copyright (C) 1995 by Alan Conroy.  Released to the public domain.

        TO THE GLORY OF GOD THROUGH JESUS CHRIST

        *************************************************************
        *                                                           *
        *        M O D I F I C A T I O N   H I S T O R Y            *
        *                                                           *
        *    DATE        BY          REASON                         *
        *                                                           *
        *                                                           *
        *************************************************************

        *************************************************************
        *                                                           *
        *        P R O G R A M   P U R P O S E                      *
        *                                                           *
        *************************************************************

	  This module defines the allocation objects.
 */

#include <stdlib.h>
#include <mem.h>
#include <alloc.h>
#include "heap.h"

/* TMemory methods (Object interface to heap manager) */

long int TMemory::Allocate( long int Size )
{

void *Dummy ;

    Dummy = malloc( Size ) ;
    return (long int) Dummy ;
} ;


void TMemory::Deallocate( long int PTR, long int Size )
{
    free( (void *) PTR ) ;
} ;


void TMemory::Read_Heap( long int PTR, long int Size, void *Buffer )
{
    memmove( Buffer, (void *) PTR, Size ) ;
} ;


void TMemory::Write_Heap( long int PTR, long int Size, void *Buffer )
{
    memmove( (void *) PTR, Buffer, Size ) ;
} ;


long int TMemory::SpaceAvail()
{
    return coreleft() ;
} ;


long int TMemory::MaxSpace()
{
    return coreleft() ;
} ;
